# * ====================================================================
# * Copyright (c) 1995,1996, ISIS/JRC.  All rights reserved.
# *
# * This product was developed within the Institute for Safety, Informatics
# * and Systems of the Joint Research Centre of the European Commission.
# *
# * More information about us; and this software product can
# * be found on http://www.jrc.it.
# * 
# * With this file you should have received a file called 'License'.
# * 
# * Redistribution and use in source and binary forms, with or without
# * modification, are permitted provided that the following conditions
# * are met:
# *
# * 1. Redistributions of source code must retain the above copyright
# *    notice, this list of conditions and the following disclaimer. 
# *
# * 2. Redistributions in binary form must reproduce the above copyright
# *    notice, this list of conditions and the following disclaimer in
# *    the documentation and/or other materials provided with the
# *    distribution.
# *
# * 3. All materials mentioning features or use of this
# *    software must display the following acknowledgment:
# *    "This product includes software developed by ISIS/JRC"
# *
# * 4. The name of the Copyright holder must not be used to
# *    endorse or promote products derived from this software without
# *    prior written permission.
# *
# * 5. Redistributions of any form whatsoever must retain the following
# *    acknowledgment:
# *    "This product includes software developed by ISIS/JRC"
# *
# * THIS SOFTWARE IS PROVIDED BY ISIS/JRC ``AS IS'' AND ANY
# * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL ISIS/JRC OR
# * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
# * OF THE POSSIBILITY OF SUCH DAMAGE.
# * ====================================================================
#
# Module Z3950
#
# Definition to be able to use CIP servers
# Defines: tagset
#
# History:
#  1999-02-25  NWH   Initial release


%Z3950::tagSetCIP = (
   4        => 'Item Descriptor Name',
   12       => 'Item Descriptor Id',
   62       => 'Abstract',
   1031     => 'Storage Medium',
   2002     => 'Theme Keyword',
   2003     => 'Purpose',
   2004     => 'Access Constraints',
   2005     => 'Use Constraints',
   2013     => 'Hours Of Service',
   2023     => 'Person Name',
   2024     => 'Organisation Name',
   2025     => 'Street Address',
   2026     => 'City',
   2027     => 'State',
   2028     => 'Postal Code',
   2029     => 'Country',
   2030     => 'Email Address',
   2032     => 'Telephone Number',
   2033     => 'Fax Number',
   2036     => 'Theme Keywords Thesaurus',
   2038     => 'West Bounding Coordinate',
   2039     => 'East Bounding Coordinate',
   2040     => 'North Bounding Coordinate',
   2041     => 'South Bounding Coordinate',
   2042     => 'Spatial Keyword',
   2043     => 'Spatial Keywords Thesaurus',
   2045     => 'Temporal Keyword',
   2058     => 'General Keyword',
   2059     => 'Spatial Coverage',
   2060     => 'Bounding Rectangle',
   2061     => 'Spatial Keywords',
   2062     => 'Temporal Coverage',
   2072     => 'Start Date',
   2073     => 'End Date',
   3000     => 'Contact',
   3005     => 'Job Position',
   3006     => 'Address',
   3018     => 'Instructions',
   3101     => 'External Publication Citation',
   3108     => 'Progress',
   3109     => 'Update Frequency',
   3116     => 'G Polygon',
   3117     => 'G Polygon Outer GRing',
   3118     => 'Latitude',
   3119     => 'Longitude',
   3120     => 'G Polygon Exclusion GRing',
   3121     => 'Keywords',
   3122     => 'Theme Keywords',
   3131     => 'Temporal Keywords',
   3132     => 'Temporal Keywords Thesaurus',
   3137     => 'Browse',
   3140     => 'Browse Format',
   3234     => 'QA Percent Cloud Cover',
   3400     => 'Spatial Reference',
   3401     => 'Horizontal Coordinate System',
   3402     => 'Geographic System',
   3403     => 'Latitude Resolution',
   3404     => 'Longitude Resolution',
   3406     => 'Planar System',
   3407     => 'Map Projection',
   3408     => 'Map Projection Name',
   3432     => 'Grid Coordinate System',
   3433     => 'Grid Coordinate System Name',
   3466     => 'Vertical CoordinateSystem',
   3467     => 'Altitude System',
   3468     => 'Altitude Datum Name',
   3469     => 'Altitude Resolution',
   3472     => 'Depth System',
   3473     => 'Depth Datum Name',
   3474     => 'Depth Resolution',
   3608     => 'Product Format',
   3613     => 'Product Compression',
   3614     => 'Item Size',
   3618     => 'Network Address',
   3632     => 'Product Medium',
   3702     => 'Science Review Date',
   3703     => 'Future Review Date',
   3805     => 'Geospatial Form',
   3906     => 'Temporal Range',
   4000     => 'Acquisition',
   4001     => 'Acquisition Station',
   4002     => 'Acquisition Status',
   4003     => 'Algorithm Package Name',
   4004     => 'Archiving CentreId',
   4005     => 'Attribute Set Id',
   4006     => 'Authoritative',
   4007     => 'Band',
   4008     => 'Band Id',
   4009     => 'Band Mode',
   4010     => 'Browse Compression',
   4011     => 'Browse Data',
   4012     => 'Browse Delivery Options',
   4013     => 'Browse Id',
   4014     => 'Browse Retrieval Options',
   4015     => 'Browse Service Options',
   4016     => 'Catalogue Id',
   4017     => 'Circle',
   4018     => 'Collection Category',
   4019     => 'Collection Descriptor',
   4020     => 'Collection Hierarchy Category',
   4021     => 'Collection Hierarchy Position',
   4022     => 'Collection Type',
   4023     => 'Creation Date',
   4024     => 'Data Centre',
   4025     => 'Data Centre Name',
   4026     => 'Data Originator',
   4027     => 'Delivered Algorithm Package',
   4028     => 'Document Pointer',
   4029     => 'Elevation Maximum',
   4030     => 'Elevation Minimum',
   4031     => 'Formatted Product ProcessingOption',
   4032     => 'Formatted Scene Selection Option',
   4033     => 'Frame',
   4034     => 'Grid Coordinate System Description',
   4035     => 'Group Id',
   4036     => 'Included Collection Descriptors',
   4037     => 'Included Item Descriptors',
   4038     => 'Included Product Descriptors',
   4039     => 'Instrument Sensor',
   4040     => 'Item Data',
   4041     => 'Item Delivery Method',
   4042     => 'Item Descriptor Language',
   4043     => 'Item Descriptor Long Name',
   4044     => 'Item Language',
   4045     => 'Local Attribute',
   4046     => 'Local Attribute Id',
   4047     => 'Local Attribute Meaning',
   4048     => 'Local Attribute Name',
   4049     => 'Local Attribute Short Meaning',
   4050     => 'Local Attribute Structure',
   4051     => 'Local Attribute Value Syntax',
   4052     => 'Locality',
   4053     => 'Locality Description',
   4054     => 'Locality Type',
   4055     => 'Local Product Use Attributes',
   4056     => 'Local Schema Elements',
   4057     => 'Local Use Attributes Flag',
   4058     => 'Map Projection Description',
   4059     => 'Mission Id',
   4060     => 'Ordering Centre Id',
   4061     => 'Order Options Group',
   4062     => 'Order Options Group Ident',
   4063     => 'Order Options Grouping Name',
   4064     => 'Order Options Grouping Value',
   4065     => 'Order Options GroupName',
   4066     => 'Originator',
   4067     => 'Pass Type',
   4068     => 'Password',
   4069     => 'Period Definition',
   4070     => 'Period Name',
   4071     => 'Platform',
   4072     => 'Point',
   4073     => 'Processing',
   4074     => 'Processing Centre',
   4075     => 'Processing Level',
   4076     => 'Processing Level Description',
   4077     => 'Processing Level Id',
   4078     => 'Product Collection Specific',
   4079     => 'Product Delivery Option',
   4080     => 'Product Descriptor',
   4081     => 'Product Order Options',
   4082     => 'Product Processing Option',
   4083     => 'Product Processing Option Definition',
   4084     => 'Product Service Options',
   4085     => 'Product Type',
   4086     => 'Project Name',
   4087     => 'QA Collection Statistics',
   4088     => 'QA Percent Interpolated Data',
   4089     => 'QA Percent Missing Data',
   4090     => 'QA Percent Out Of Bounds Data',
   4091     => 'QA Product Statistics',
   4092     => 'QA Quality Explanation',
   4093     => 'QA Rating',
   4094     => 'Radius Value',
   4095     => 'Related Collection Descriptors',
   4096     => 'Related Guide Pointer',
   4097     => 'Related Guide Pointers',
   4098     => 'Related Item Descriptor',
   4099     => 'Related Item Descriptors',
   4100     => 'Relation Description',
   4101     => 'Reprocessing',
   4102     => 'Reprocessing Actual',
   4103     => 'Reprocessing Planned',
   4104     => 'Review',
   4105     => 'Revision',
   4106     => 'Revision Date',
   4107     => 'Role',
   4108     => 'Scale',
   4109     => 'Scene Selection Option',
   4110     => 'Scene Selection Option Definition',
   4111     => 'Science Review',
   4112     => 'Science Review Status',
   4113     => 'Sensor Id',
   4114     => 'Sensor Mode',
   4115     => 'Spatial Resolution',
   4116     => 'Structure Attribute Id',
   4117     => 'SW Package Pointer',
   4118     => 'Temporal Period',
   4119     => 'Temporal Resolution',
   4120     => 'Thumbnail Data',
   4121     => 'Track',
   4122     => 'Unformatted Product Processing Option',
   4123     => 'Unformatted Scene Selection Option',
   4124     => 'URL Pointer',
   4125     => 'User Descriptor',
   4126     => 'User Id',
   4127     => 'Version Id',
   4128     => 'Vertical Extent',
   4129     => 'WRS GR Pass',
   4130     => 'WRS GRS Scene'
);
